// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  TU Dresden                                                            ==
// ==                                                                        ==
// ==  Institut fr Wissenschaftliches Rechnen                               ==
// ==  Zellescher Weg 12-14                                                  ==
// ==  01069 Dresden                                                         ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  https://gforge.zih.tu-dresden.de/projects/amdis/                      ==
// ==                                                                        ==
// ============================================================================

/** \file ValueReader.h */

#ifndef AMDIS_VALUEREADER_H
#define AMDIS_VALUEREADER_H

#include <cstring>
#include "DOFVector.h"
#include "Mesh.h"

namespace AMDiS {

  /** \ingroup Input
   *  
   * \brief
   * Static class which reads a value file in AMDiS format and copies
   * the data to a DOF vector.
   */ 
  class ValueReader
  {
  public:
    /// Copies the values of a value file to a DOF vector.
    static void readValue(std::string filename,
			  Mesh *mesh,
			  DOFVector<double> *dofVector,
			  MacroInfo *macroFileInfo);
  };

}

#endif
